#! /usr/bin/env python

import os
from template import Section

### Setup the font server and add font paths
class Fonts:
	
	### Holds the fonts we've found
	font_paths = []

	### Creates the font entry
	def get_section(self):
		if len(self.font_paths) == 0:
			self.get_fonts()

		config = Section()	
		config.name("Files")
		config.item("FontPath\t")
		config.add("Multiple FontPath entries are allowed (which are concatenated", 3)
		config.add("together as well as specifying multiple comma-separated", 3)
		config.add("entries in one FontPath command (or both methods)", 3)
		config.add_blank(3)
		config.add("For X Font Server support, uncomment this and comment the", 3)
		config.add("other FontPaths. (This is not required for most configurations)", 3)
		config.add('FontPath\t"unix/:-1"', 1)
		config.add_blank()
		
		### Print in the font directories
		for f in self.font_paths:
			config.addi('"' + f + '"')
		return config.get_section()


	### Gets the valid font paths
	### FIXME Check if fonts.dir can *not* exist, check about bitmap fonts?
	def get_fonts(self):
		for root, dirs, files in os.walk("/usr/share/fonts"):
			for f in files:
				if f == "fonts.dir" : self.font_paths = self.font_paths + [root]
